<h1 mat-dialog-title
    [innerHTML]="dictionary.flight + ': ' + flightDetails.data['13'] + ' ' + dictionary.carriedOutBy + ' ' + (flightDetails.details['airline']['short'] ? flightDetails.details['airline']['short'] : flightDetails.details['airline']['name']) + ' ' + dictionary.with + ' ' + wordSelectAorB + ' ' + flightDetails.data.result.name">{{flightDetails.data.result.name}}</h1>
<div mat-dialog-content class="mat-dialog-content">
    <div class="example-card">
        <!--                <mat-card-header>-->

        <!--                    <mat-card-title>{{flightDetails.details['airline'].name}}</mat-card-title>-->
        <!--                    <mat-card-subtitle-->
        <!--                        [innerHTML]=" flightDetails.data['13']">{{flightDetails.data["airline"]}}</mat-card-subtitle>-->
        <!--                </mat-card-header>-->
        <mat-card-content>
            <div class="flight-info-card">
                <div fxLayout="row wrap">
                    <div fxFlex="33.333333" fxFlex.md="33.333333" fxFlex.sm="100" fxFlex.xs="100"
                         class="preview-image-box">
                        <div class="preview-image-button preview-image-back" (click)="plusDivs(-1)">
                            <div class="area"></div>
                            <i class="fas fa-arrow-left"></i></div>
                        <img src="{{ flightDetails['previewPicture'] }}"
                             class="aircraft-image-large mySlides previewPicture mat-elevation-z1"
                             (resize)="resizePreviewButtonFunction()"
                             #previewPicture>
                        <div *ngFor="let obj of flightDetails.details['aircraft'].images['large']">
                            <img src="{{ obj.src }}" *ngIf="obj.src !== flightDetails['previewPicture']"
                                 class="aircraft-image-large mySlides mat-elevation-z1">
                        </div>
                        <div class="preview-image-button preview-image-forward " (click)="plusDivs(1)">
                            <div class="area"></div>
                            <i class="fas fa-arrow-right"></i></div>
                    </div>
                    <mat-card fxFlex="66.666666" fxFlex.md="66.666666" fxFlex.sm="100" fxFlex.xs="100">
                        <div fxLayout="row wrap">
                            <div fxFlex="45" fxFlex.sm="100" fxFlex.xs="100" class="departure-box">
                                <p style="text-align: center !important;"
                                   [matTooltip]="flightDetails.details['airport'].origin.name + ' / ' + flightDetails.details['airport'].origin.code['icao']">
                                <span style="font-size: 40px !important; font-weight: bold;"
                                      class="mat-h1">{{flightDetails.details['airport'].origin.code['iata']}}</span><br>
                                    <span
                                        style="font-size: 15px">{{flightDetails.details['airport'].origin.position.region.city}}</span>
                                    <br><br>
                                    <span style="font-size: 15px"
                                          *ngIf="flightDetails.time['departure'] !== 0">{{flightDetails.time['departureTime']}}</span>
                                </p>
                            </div>
                            <div fxFlex="10" fxFlex.sm="100" fxFlex.xs="100" class="aircraft-icon-box">
                                <h1 style="text-align: center; color: #ffd700" class="icon"><p><i
                                    class="fas fa-plane"></i>
                                </p></h1>
                            </div>
                            <div fxFlex="45" fxFlex.sm="100" fxFlex.xs="100" class="arrival-box">
                                <p *ngIf="flightDetails.details['airport'].destination"
                                   style="text-align: center !important;"
                                   [matTooltip]="flightDetails.details['airport'].destination.name + ' / ' + flightDetails.details['airport'].destination.code['icao']">
                                <span style="font-size: 40px !important; font-weight: bold;"
                                      class="mat-h1">{{flightDetails.details['airport'].destination.code['iata']}}</span><br>
                                    <span
                                        style="font-size: 15px">{{flightDetails.details['airport'].destination.position.region.city}}</span>
                                    <br><br>
                                    <span style="font-size: 15px"
                                          *ngIf="flightDetails.time['arrival'] !== 0">{{flightDetails.time['arrivalTime']}}</span>
                                </p>
                            </div>
                        </div>
                        <div fxLayout="row wrap">
                            <div fxFlex="100" fxFlex.sm="100" fxFlex.xs="100">
                                <h1 *ngIf="flightDetails.data['13'] && flightDetails.data['16']"
                                    style="text-align: center">{{flightDetails.data["13"]}}
                                    <small style="font-size: 0.65em">/{{flightDetails.data["16"]}}</small>
                                </h1>
                                <h1 *ngIf="!flightDetails.data['13'] && flightDetails.data['16']"
                                    style="text-align: center">{{flightDetails.data["16"]}}</h1>
                                <h3 *ngIf="!flightDetails.data['13'] && !flightDetails.data['16']"
                                    style="text-align: center">{{dictionary.noCallsign}}</h3>
                            </div>
                            <div fxFlex="100" fxFlex.sm="100" fxFlex.xs="100">
                                <div fxLayout="row wrap">
                                    <div fxFlex="100" fxFlex.sm="100" fxFlex.xs="100">
                                        <mat-progress-bar mode="determinate"
                                                          value="{{ this.flightDetails['time']['flightTimePercent'] }}"></mat-progress-bar>
                                    </div>
                                    <div fxFlex="50" fxFlex.sm="50" fxFlex.xs="50"
                                         *ngIf="flightDetails.time['departure'] !== 0"><p
                                        *ngIf="this.flightDetails.time.flightTimeData"
                                        style="text-align: left">{{this.flightDetails.time.flightTimeData.alreadyFlownDate}}
                                        {{dictionary.fly2}}</p></div>
                                    <div fxFlex="50" fxFlex.sm="50" fxFlex.xs="50"
                                         *ngIf="flightDetails.time['arrival'] !== 0"><p
                                        *ngIf="this.flightDetails.time.flightTimeData" style="text-align: right"
                                        [innerHTML]="this.flightDetails.time.flightTimeData.arrival < 1 ? '<strong>' + dictionary.landed + '</strong>' : dictionary.landingIn + ' ' + this.flightDetails.time.flightTimeData.arrivalDate"
                                    >{{dictionary.landingIn}} {{this.flightDetails.time.flightTimeData.arrivalDate}}</p>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </mat-card>
                </div>
            </div>
            <br>
            <div fxLayout="row wrap">
                <div fxFlex="33.333" fxFlex.md="33.333" fxFlex.sm="100" fxFlex.xs="100">
                    <div class="card-container">
                        <mat-card>
                            <img class="airline-logo" [src]="this.flightDetails.airlineLogo">
                            <table style="border: 0; text-align: left !important;">
                                <tr>
                                    <td>{{_dictionary.aircraft}}:</td>
                                </tr>
                                <tr>
                                    <th>{{flightDetails.details['aircraft']['model'].text}}
                                        ({{flightDetails.details['aircraft']['model'].code}})
                                    </th>
                                </tr>

                                <tr>
                                    <td>{{dictionary.registration}}:</td>
                                </tr>
                                <tr>
                                    <th class="country-registration"><img
                                        *ngIf="this.flightData.countryByID(flightDetails.details['aircraft']['countryId'])"
                                        [matTooltip]="this.flightData.countryByID(flightDetails.details['aircraft']['countryId'])['name']['default']"
                                        src="https://www.flightradar24.com/static/images/data/flags-small/{{ this.flightData.countryByID(flightDetails.details['aircraft']['countryId'])['name']['default'].split(' ').join('-').toLowerCase() + '.gif' }}"
                                        class="country-flag-img"><span
                                        [class]="!this.flightData.countryByID(flightDetails.details['aircraft']['countryId']) ? 'reset-span' : null">{{flightDetails.details['aircraft']['registration'].trim()}}</span>
                                    </th>
                                </tr>

                                <tr>
                                    <td>{{dictionary.operator}}:</td>
                                </tr>
                                <tr>
                                    <th>{{flightDetails.details['airline'].name}}</th>
                                </tr>
                                <tr *ngIf="flightDetails.details && flightDetails.details['owner'] && flightDetails.details['owner'].name">
                                    <td>{{dictionary.owner}}:</td>
                                </tr>
                                <tr *ngIf="flightDetails.details && flightDetails.details['owner'] && flightDetails.details['owner'].name">
                                    <th>{{flightDetails.details['owner'].name}}</th>
                                </tr>
                            </table>
                        </mat-card>
                    </div>
                    <div class="card-container">
                        <mat-accordion>
                            <mat-expansion-panel>
                                <mat-expansion-panel-header>
                                    <mat-panel-title>
                                        {{dictionary.groundSpeed}}
                                        & {{dictionary.height}} {{dictionary.graph}}
                                    </mat-panel-title>
                                </mat-expansion-panel-header>
                                <canvas id="canvasAircraftHistory" height="200"
                                        #canvasElementAircraft></canvas>
                            </mat-expansion-panel>
                        </mat-accordion>

                    </div>
                    <!--                    <mat-card class="card-box">-->
                    <!--                        <button mat-raised-button (click)="activateIframe()" *ngIf="_iframeLink === './'">Map Öffnen-->
                    <!--                        </button>-->
                    <!--                        <div id="map" class="map"></div>-->
                    <!--                        <iframe id="frame" *ngIf="_iframeLink !== './'" [src]="_iframeLink"-->
                    <!--                                style="width: 100% !important; height: 250px !important; border:0"></iframe>-->
                    <!--                    </mat-card>-->
                </div>
                <div fxFlex="33.333" fxFlex.md="33.333" fxFlex.sm="100" fxFlex.xs="100">
                    <div class="card-container">
                        <mat-card>

                            <table style="border: 0; width: 100%">

                                <tr class="info-header">
                                    <td *ngIf="flightDetails.details['airport'].destination"><i
                                        class="fas fa-plane-departure"></i>&nbsp;<strong>{{dictionary.departure}}</strong>
                                    </td>
                                    <td *ngIf="!flightDetails.details['airport'].destination"><i
                                        class="fas fa-plane"></i>&nbsp;{{dictionary.location}}</td>
                                    <th></th>
                                </tr>

                                <tr *ngIf="flightDetails.details['airport'].origin.info['terminal'] !== null">
                                    <td style="text-align: left;">{{dictionary.terminal}}:</td>
                                    <th>{{flightDetails.details['airport'].origin.info['terminal']}}</th>
                                </tr>
                                <tr *ngIf="flightDetails.details['airport'].origin.info['gate'] !== null">
                                    <td style="text-align: left;">{{dictionary.gate}}:</td>
                                    <th>{{flightDetails.details['airport'].origin.info['gate']}}</th>
                                </tr>
                                <tr *ngIf="flightDetails.details['airport'].origin.info['baggage'] !== null">
                                    <td style="text-align: left;">{{dictionary.baggageReclaim}}:</td>
                                    <th>{{flightDetails.details['airport'].origin.info['baggage']}}</th>
                                </tr>


                            </table>
                        </mat-card>
                    </div>
                    <div class="card-container">
                        <mat-card>

                            <table style="border: 0; width: 100%">

                                <tr class="airport-header">
                                    <th>{{flightDetails.details['airport'].origin.name}}</th>
                                </tr>

                                <tr>
                                    <td style="text-align: left;">
                                        {{dictionary.location}}:
                                        <strong>{{flightDetails.details['airport'].origin.position.region.city}}</strong><span
                                        *ngIf="flightDetails.details['airport'].origin.position.region.city !== flightDetails.details['airport'].origin.position.country.name"> / {{flightDetails.details['airport'].origin.position.country.name}}</span>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: left;">ICAO Code:
                                        <strong>{{flightDetails.details['airport'].origin.code['icao']}}</strong>
                                    </td>
                                </tr>

                                <tr>
                                    <td style="text-align: left;">{{dictionary.localtime}}:
                                        <strong>{{this.data.self.startTimePoint}}</strong>
                                    </td>
                                </tr>
                            </table>
                            <mat-card-actions style="text-align: right">
                                <a mat-raised-button color="primary"
                                   [href]="'https://www.flightradar24.com/airport/' + flightDetails.details['airport'].origin.code['iata']"
                                   target="_blank">FlightRadar24</a>
                                <a mat-raised-button [href]="flightDetails.details['airport'].origin['website']"
                                   target="_blank"
                                   [disabled]="!flightDetails.details['airport'].origin['website']">{{dictionary.website}}</a>
                            </mat-card-actions>

                        </mat-card>
                    </div>

                </div>
                <div fxFlex="33.333" fxFlex.md="33.333" fxFlex.sm="100" fxFlex.xs="100">
                    <div class="card-container">
                        <mat-card *ngIf="flightDetails.details['airport'].destination">

                            <table style="border: 0; width: 100%">

                                <tr class="info-header">
                                    <td><i
                                        class="fas fa-plane-arrival"></i>&nbsp;<strong>{{dictionary.arrival}}</strong>
                                    </td>
                                    <th></th>
                                </tr>

                                <tr *ngIf="flightDetails.details['airport'].destination && flightDetails.details['airport'].destination.info['terminal'] !== null">
                                    <td style="text-align: left;">{{dictionary.terminal}}:</td>
                                    <th>{{flightDetails.details['airport'].destination.info['terminal']}}</th>
                                </tr>
                                <tr *ngIf="flightDetails.details['airport'].destination && flightDetails.details['airport'].destination.info['gate'] !== null">
                                    <td style="text-align: left;">{{dictionary.gate}}:</td>
                                    <th>{{flightDetails.details['airport'].destination.info['gate']}}</th>
                                </tr>
                                <tr *ngIf="flightDetails.details['airport'].destination && flightDetails.details['airport'].destination.info['baggage'] !== null">
                                    <td style="text-align: left;">{{dictionary.baggageReclaim}}:</td>
                                    <th>{{flightDetails.details['airport'].destination.info['baggage']}}</th>
                                </tr>


                            </table>

                        </mat-card>
                    </div>
                    <div class="card-container">
                        <mat-card *ngIf="flightDetails.details['airport'].destination">

                            <table style="border: 0; width: 100%">

                                <tr class="airport-header">
                                    <th>{{flightDetails.details['airport'].destination.name}}</th>
                                </tr>

                                <tr>
                                    <td style="text-align: left;">
                                        {{dictionary.location}}:
                                        <strong>{{flightDetails.details['airport'].destination.position.region.city}}</strong><span
                                        *ngIf="flightDetails.details['airport'].destination.position.region.city !== flightDetails.details['airport'].destination.position.country.name"> / {{flightDetails.details['airport'].destination.position.country.name}}</span>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: left;">ICAO Code:
                                        <strong>{{flightDetails.details['airport'].destination.code['icao']}}</strong>
                                    </td>
                                </tr>

                                <tr>
                                    <td style="text-align: left;">{{dictionary.localtime}}:
                                        <strong>{{this.data.self.endTimePoint}}</strong>
                                    </td>
                                </tr>
                            </table>
                            <mat-card-actions style="text-align: right">
                                <a mat-raised-button color="primary"
                                   [href]="'https://www.flightradar24.com/airport/' + flightDetails.details['airport'].destination.code['iata']"
                                   target="_blank">FlightRadar24</a>
                                <a mat-raised-button
                                   [href]="flightDetails.details['airport'].destination['website']"
                                   target="_blank"
                                   [disabled]="!flightDetails.details['airport'].destination['website']">{{dictionary.website}}</a>
                            </mat-card-actions>
                        </mat-card>
                    </div>
                </div>
            </div>
            <p>

            </p>
        </mat-card-content>
    </div>
</div>


<mat-dialog-actions align="end">
    <button mat-raised-button matDialogClose=""
            (click)="this.flightDetails.action = false">{{dictionary.cancel}}</button>
    <a target="_blank" mat-raised-button color="primary"
       [href]="flightDetails.data['16'] !== '' ? 'https://www.flightradar24.com/' + flightDetails.data['16'] + '/' + flightDetails.data['id'] : 'https://www.flightradar24.com/' + flightDetails.data['id']">{{dictionary.flight}}
        {{dictionary.toOpenIn}}
        FlightRadar24</a>
</mat-dialog-actions>
